libmad0-0.15.1b-4.1.x86_64.rpm


Advertisement

Description

libmad0 - An MPEG audio decoder library

Distribution: openSUSE 42.1
Repository: openSUSE Multimedia Libs all
Package name: libmad0
Package version: 0.15.1b
Package release: 4.1
Package architecture: x86_64
Package type: rpm
Installed size: 171.87 KB
Download size: 68.79 KB
Official Mirror: ftp.gwdg.de
MAD is a MPEG audio decoder. It currently supports MPEG-1 and the MPEG-2 extension to Lower Sampling Frequencies, as well as the so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, and Layer III a.k.a. MP3) are implemented. MAD supports 24-bit PCM output. MAD computes using 100% fixed-point (integer) computation, so you can run it without a floating point unit.

Alternatives

Requires

Provides

  • libmad.so.0()(64bit)
  • libmad0 = 0.15.1b-4.1
  • libmad0(x86-64) = 0.15.1b-4.1

    Download

    Install Howto

    1. Add the openSUSE Multimedia Libs repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_42.1/ opensuse-multimedia-libs
    2. Install libmad0 rpm package:
      # zypper install libmad0

    Files

    • /usr/lib64/libmad.so.0
    • /usr/lib64/libmad.so.0.2.1
    • /usr/share/doc/packages/libmad0/CHANGES
    • /usr/share/doc/packages/libmad0/COPYING
    • /usr/share/doc/packages/libmad0/COPYRIGHT
    • /usr/share/doc/packages/libmad0/CREDITS
    • /usr/share/doc/packages/libmad0/README
    • /usr/share/doc/packages/libmad0/TODO
    • /usr/share/doc/packages/libmad0/VERSION

    Changelog

    2017-03-02 - jengelh@inai.de - Drop --with-pic, this is only for static libs. - Rectify descriptions for neutrality.

    2013-09-15 - scarabeus@opensuse.org - Fix install stage.

    2013-09-15 - scarabeus@opensuse.org - Fix copy&pasto of wrong dependency

    2013-07-05 - scarabeus@opensuse.org - Depend on proper library, remove needless assignment.

    2013-07-05 - scarabeus@opensuse.org - Use correct group.

    2013-07-05 - scarabeus@opensuse.org - Fixup to adhere openSUSE specfile requirements.

    2012-05-15 - seife+obs@b1-systems.com - fix build on > 12.1 by BuildRequires: autoconf automake libtool - call autoreconf to rebuild configure from patched configure.ac

    2010-06-27 - ludwig.nussel@gmx.de - disable static and remove .la files - patch away CFLAGS mangling completely

    2009-08-09 - pascal.bleser@opensuse.org - add patch to keep -O2 in CFLAGS - pass --enable-accuracy

    2008-09-19 - detlef@links2linux.de - provides mad and mad-devel

    Advertisement
    Advertisement